declare type Resource = {
    [key: string]: string | string[] | Resource;
};
declare type Locale = {
    code: string;
    localize?: Record<string, any>;
    resource?: Resource;
};
declare type I18nOptions = {
    locale?: string;
    locales?: Locale[];
};
declare const _default: {
    switchLocale(locale: string): void;
    addLocale(locale: Locale): void;
    removeLocale(locale: string): void;
    getLocale(locale: string): Locale;
    translate(key: string, data?: Record<string, any> | Record<string, any>[], options?: {
        locale?: string;
    }): string;
    install(this: any, config: any, options?: I18nOptions): void;
};

export { I18nOptions, Locale, Resource, _default as default };
